Bug 1293043 (python-epac) - Review Request: python-epac - Machine learning workflow builder
Summary: Review Request: python-epac - Machine learning workflow builder
Keywords:
Status: ASSIGNED
Alias: python-epac
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-19 15:31 UTC by Ilya Gradina
Modified: 2018-08-07 21:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
ignatenko: fedora-review?


Attachments (Terms of Use)

Description Ilya Gradina 2015-12-19 15:31:54 UTC
Spec URL: https://github.com/neurofedora/python-epac/raw/master/python-epac.spec
SRPM URL: https://github.com/neurofedora/python-epac/raw/master/python-epac-0.0.1-1.git45e63f2.fc23.src.rpm
Description: Embarrassingly Parallel Array Computing: EPAC is a machine learning workflow builder. 
Fedora Account System Username: ilgrad

Comment 1 Igor Gnatenko 2015-12-19 16:11:42 UTC
Missing requires, missing buildrequires, no python3 package. Binary should point to py3 version.

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-20 00:41:28 UTC
fedora-review- is for packages which can't be fixed, while the review is in progress it's customary not to set anything, or to set fedora-review?.

Do not repeat the package name in the summary (it should be short to display properly in various listings). Maybe
Summary:  Machine learning workflow builder

The license tag for bsd 3-clause is just "BSD". See https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses.

You should create a python2 subpackage, and add support for python3 if possible.
See https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file for the new python packaging.

Comment 3 Igor Gnatenko 2016-08-08 05:56:55 UTC
ping?

Comment 4 Igor Gnatenko 2017-06-21 15:04:53 UTC
ping once more?

Comment 5 Ankur Sinha (FranciscoD) 2018-08-05 09:48:53 UTC
Hi Ilya,

Would you like to continue the review so that the package can be included in NeuroFedora?

Cheers!
Ankur

Comment 6 Ilya Gradina 2018-08-07 21:30:21 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Hi Ilya,
> 
> Would you like to continue the review so that the package can be included in
> NeuroFedora?
> 
> Cheers!
> Ankur

Hi Ankur,
yes, I  will continue the review.


Note You need to log in before you can comment on or make changes to this bug.